#ifndef GRAPH_H
#define GRAPH_H

#include "inc.h"
#include "util.h"
#include "radar.h"

extern void write_signal(const valarray<complex<double>> &s, const vector<double> &sx, const string filename);

extern void write_data_plot(const vector<vector<double>> &data, const vector<double> &x_axis,
                     string filename);

extern void write_3d_data_plot(const vector<vector<double>> &data,
                        const vector<double> &x_axis,
                        string filename, bool columndata, bool doppler);

extern void doppler_process(const vector<valarray<complex<double>>> &y,
                     vector<valarray<complex<double>>> &yp,
                     vector<double> &w, int Lfft);

extern void range_doppler_plot(const vector<valarray<complex<double>>> &y,
                        const vector<double> &range, int Lfft, string filename);

extern void range_plot(vector<valarray<complex<double>>> &y,
                const vector<double> &range, int Lfft, string filename);

extern void simulate_signal_plot(const radar &a_radar, const vector<valarray<complex<double>>> &y);

#endif